This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578269 - Review Request: xgospel - An X11 client for Internet Go Server
Review Request: xgospel - An X11 client for Internet Go Server
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-03-30 14:13 EDT by jjwei
Modified: 2010-07-25 01:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-25 01:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jjwei 2010-03-30 14:13:47 EDT
Spec URL: https://docs.google.com/leaf?id=0B0U0jQCr77BfN2Y2MDZjNGItYWM1Ni00MDYzLTkyZWItMDdhZDE0MmIyYWU1&hl=en
SRPM URL: https://docs.google.com/leaf?id=0B0U0jQCr77BfOTQxZWY1ZTItNGVkYy00YjQ0LWIzNzAtNGQ5ZWRlNjgwNzhj&hl=en
Description: Xgospel is an X11 client for Internet Go Server, it provides a graphical interface with a lot of features to play go(weiqi) on the Internet using IGS
Comment 1 jjwei 2010-03-30 15:04:58 EDT
This is my first package, and I am seeking a sponsor.
Comment 2 Germán Racca 2010-03-30 21:14:42 EDT
Hello jjwei:

Just a few comments on your package. I'm looking for sponsorship also.

It's useful to put the output of rpmlint here. I'm doing it for you:

[german@skytux Downloads]$ rpmlint ../rpmbuild/RPMS/i686/xgospel-1.12d-1.fc12.i686.rpm 
xgospel.i686: W: spelling-error %description -l en_US weiqi -> weird, Weiss, Weill
xgospel.i686: W: non-standard-group Games
xgospel.i686: W: incoherent-version-in-changelog 1.12d-0.docs.1 ['1.12d-1.fc12', '1.12d-1']
xgospel.i686: W: invalid-license GPL
xgospel.i686: W: unstripped-binary-or-object /usr/bin/rport
xgospel.i686: W: unstripped-binary-or-object /usr/bin/xgospel
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

OK, the comments now:

** non-standard-group: the correct group should be "Amusements/Games" in this case

** incoherent-version-in-changelog: the version should be "1.12d-1", and I also think that one changelog entry with the list of all changes is enough in this case, because all of them belong to version 1.12d-1

** invalid-license GPL: please read carefully the file "my/COPYRIGHTS" to choose the proper value for this tag

Also, you don't need to put "gcc" in BuildRequires. See here:
https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Good luck!
Germán.
Comment 3 Howard Ning 2010-04-11 14:10:12 EDT
This package is interesting. But I haven't found any proper license in the source file. You have said that it is GPL but which version?
Also, the code is quite outdated. Is the upstream still developing it?
For your spec files, it is better for you to specify BuildRequires one each line and exclude gcc from it.
Comment 4 jjwei 2010-04-11 16:22:09 EDT
Spec URL:
https://docs.google.com/leaf?id=0B0U0jQCr77BfNWUwZTg0ZTItNDdjYS00ZDRjLWEzMjEtZTI4NjI3ZDlhNjZi&hl=en
SRPM URL:
https://docs.google.com/leaf?id=0B0U0jQCr77BfYmMwNjhiZjUtMTgyMi00ZTVlLTg4MmUtNGM0MGQ5MWQ4OTg2&hl=en

do not have a ftp site, I unlinked the files on the description and here is the new links. with fix for most of output of rpmlint. thanks for the comments.

There is one paragraph on README file says it is copyleft. not sure what I should put on the spec file.
The development has stopped for a long time. but the software is good. quick response and beautiful interface.

Thanks
Comment 5 Howard Ning 2010-04-11 18:50:04 EDT
I have tried your package in koji against f12 but it fails to build. Have a look at the build log:
https://koji.fedoraproject.org/koji/getfile?taskID=2109080&name=build.log
Comment 6 jjwei 2010-04-15 10:53:43 EDT
I cannot see the log.

Got following error when I try to access https://koji.fedoraproject.org/koji/getfile?taskID=2109080&name=build.log   

An error occurred during a connection to koji.fedoraproject.org.

SSL peer was unable to negotiate an acceptable set of security parameters.

(Error code: ssl_error_handshake_failure_alert)
-------------

not sure if I need to install koji in my system? but I think it is just a https. 

When I do rpmbuild -ba xgospel.spec on my f12 system, sometimes I will have error, but run the same command again may get through, that is how src rpm get produced.
Comment 7 Howard Ning 2010-04-15 13:12:29 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=2109080&name=build.log

rpmbuild -bs xgospel.spec will get the srpm files.
Comment 8 Howard Ning 2010-04-15 15:26:12 EDT
Try to add 
BuildRequires:  desktop-file-utils
and change "make %{?_smp_mflags}" to "make"

It should be built by koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2117901
Comment 9 jjwei 2010-04-18 09:42:06 EDT
Thanks.

Spec URL:
https://docs.google.com/leaf?id=0B0U0jQCr77BfYzg0NjQwMDAtMjJlMi00YzMzLTk1YWYtZjh
jYTYxYWNmNzk3&hl=en
SRPM URL:
https://docs.google.com/leaf?id=0B0U0jQCr77BfZjZhMzlmNmItMmEzNi00NzgwLTkyNGItZjM
yNzlkNTU0OTAw&hl=en
(In reply to comment #8)
> Try to add 
> BuildRequires:  desktop-file-utils
> and change "make %{?_smp_mflags}" to "make"
> 
> It should be built by koji.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2117901
Comment 11 Mamoru TASAKA 2010-05-02 13:01:02 EDT
To spot:

README says:
=====================================================
Copyright:
----------
   Gnu copyleft. You can essentially do anything you want with the program, as
long as you  make sure  the source is  available.   Take a  look  in the  file
my/COPYRIGHTS  for  info about the   parts that are not  written  by me and of
course retain their original copyrights.
=====================================================

Can I assume that "Gnu copyleft" means GPL+?
Comment 12 Mamoru TASAKA 2010-05-02 13:04:08 EDT
To jjwei:
By the way, is this 10-years-old package still be useful?
Comment 13 jjwei 2010-05-09 09:51:05 EDT
(In reply to comment #12)
> To jjwei:
> By the way, is this 10-years-old package still be useful?    

The server and client are quite stable for a long time, so not too much development activity, but the software is still useful, I use it everyday -).

I will change the license to GPL+ next time.

Thanks
Comment 14 Mamoru TASAKA 2010-05-19 14:31:29 EDT
Well, for now assuming "GNU copyleft = GPL+",


* License
  - For this package the license tag should be "GPLv2+".

* %{version} in SourceURL
  - It is recommended that you use %{version} tag in SourceURL:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D

? About Patch0
  - By the way this 20K xgospel-1.12d-friend.patch written by yourself
    or you've taken from somewhere? Also it is recommended to write
    some notes about what is this patch for:
    https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

* BuildRoot
  - BuildRoot is no longer needed on Fedora (although rpmlint may complain
    if you remove this)
    ! Note: If you want to import this package also into EPEL, BuildRoot is
      still needed.

* Configure option
  - build.log shows:
----------------------------------------------------------
    99  checking for -lICE... no
----------------------------------------------------------
    However as you have "BR: libICE-devel", this shows something
    is wrong (actually configure is broken at least for this part)

* Parallel make
  - Support parallel make if possible. If parallel make fails, please
    write a note in the spec file about it:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

* compiler warning:
  - Well, usually I don't warn about compiler warning during
    review process, however
-----------------------------------------------------------
   441  In file included from /usr/include/string.h:642,
   442                   from /usr/include/X11/Intrinsic.h:64,
   443                   from games.c:14:
   444  In function 'memset',
   445      inlined from 'InitHash' at games.c:185:
   446  /usr/include/bits/string3.h:83: warning: call to '__warn_memset_zero_len' declared with attribute warning: memset used with constant zero length parameter; this could be due to transposed parameters
   447  In function 'memset',
   448      inlined from 'InitHash' at games.c:186:
   449  /usr/include/bits/string3.h:83: warning: call to '__warn_memset_zero_len' declared with attribute warning: memset used with constant zero length parameter; this could be due to transposed parameters
-----------------------------------------------------------
    - These are arguably bugs, please fix these.

* Icon entry in desktop file
  - It is recommended that extension (.xpm) is removed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Icon_tag_in_Desktop_Files

* Categories for Desktop files
  - Catogories "X-Fedora", "Application" are no longer used and should
    be removed.

* Document files
  - Usually "INSTALL" file is for people trying to build a software
    by themselves and not needed for people trying to install one
    using rpm.


By the way it is recommended that you upload your srpm to some place
from which we can directly download it by "wget -N", for example.
Comment 15 Mamoru TASAKA 2010-05-30 01:36:10 EDT
ping?
Comment 16 jjwei 2010-05-31 13:44:41 EDT
the link is stable now:
Spec URL:
http://www.kikong.net/xgospel/xgospel.spec
SRPM URL:
http://www.kikong.net/xgospel/xgospel-1.12d-1.fc12.src.rpm

License changed to GPLv2+

Changed to %{version} in SourceURL

patch is written by me, no upstream, explain is at the end of spec file,

libICE-devel is not required, removed(only libICE is required, and libXaw and libXpm depend on it)

make with smp in spec file will cause problem, I did see final xgospel is depends on libmy.a and libregex.a in Makefile, but seems rpmbuild will start to build final xgospel before all of the lib finish built. so no smp flag on make on this built. someone give me a hint what the Makefile should be to resolve this problem?

remove .xpm on desktop file,

remove Application on Categories,

will not put INSTALL file on docs directory,

Will try to fix compilation warning a little bit later.
Comment 17 Mamoru TASAKA 2010-05-31 14:01:46 EDT
Please change the release number every time you modify your
spec file to avoid confusion, even during review process.
Comment 18 Tom "spot" Callaway 2010-06-02 11:43:41 EDT
According to reliable sources, "GNU copyleft" was in ancient times a common way of referring to the GPL (or its predecessors).

So, I'm going to say that it is safe to assume that text means "GPL+". Lifting FE-Legal.
Comment 19 Mamoru TASAKA 2010-06-03 15:37:22 EDT
Thank you for clarifying, spot.
Comment 20 jjwei 2010-06-04 12:52:23 EDT
The license for this package should be GPL+ then?
Comment 21 Mamoru TASAKA 2010-06-04 13:08:05 EDT
No, should be GPLv2+, because some codes are under GPLv2+.
Would you change release number and upload new srpm?
Comment 22 Mamoru TASAKA 2010-06-06 12:56:17 EDT
jjwei, please bump release number.
Comment 23 jjwei 2010-06-06 13:32:53 EDT
Here is the new version:

Spec URL:
http://www.kikong.net/xgospel/xgospel.spec
SRPM URL:
http://www.kikong.net/xgospel/xgospel-1.12d-2.fc12.src.rpm
Comment 24 Mamoru TASAKA 2010-06-07 13:47:56 EDT
Well,

* BuildRoot / %clean
  - As I said above, unless you want to this package into EPEL
    BuildRoot: line is no longer needed so please remove this
    (although rpmlint may complain about it).

    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
    

* Comments for Patch0
  - So, please write some comments about what Patch0 is for
    on the above of Patch0: line like:
-----------------------------------------------------
# Fix issues when XXXXXXXXXX, fix compilation warning, etc
Patch0: xgospel-1.12d-friend.patch
-----------------------------------------------------

* parallel make
  - As I said above, please write some comments if parallel
    make fails in the spec file.
    ( Note that I have not examined how to make parallel make
      succeed for this package for now. )

* Categories for Desktop files
  - Please also remove "X-Fedora" category from desktop file.
Comment 25 Mamoru TASAKA 2010-06-21 10:29:13 EDT
ping?
Comment 26 Mamoru TASAKA 2010-07-04 10:42:41 EDT
ping again?
Comment 27 Mamoru TASAKA 2010-07-12 11:18:09 EDT
Again ping?
Comment 28 Mamoru TASAKA 2010-07-22 12:51:56 EDT
I will close this bug as NOTABUG if no response is received from the
reported within ONE WEEK.
Comment 29 jjwei 2010-07-24 17:10:04 EDT
I was thinking put up the fixes so the program will run smoothly on fedora, really do not have that much time to do all the rest. close it please.
Comment 30 Mamoru TASAKA 2010-07-25 01:08:05 EDT
Thank you for reply. Once closing.

Note You need to log in before you can comment on or make changes to this bug.